summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorJens-Heiner Rechtien <hr@openoffice.org>2006-04-20 11:17:12 +0000
committerJens-Heiner Rechtien <hr@openoffice.org>2006-04-20 11:17:12 +0000
commit444aa6e32e2dd554a53787110c3540c1eb589058 (patch)
tree9eac16a083b9d2f2641a21230876ad1b4a3441dd /dmake/tests
parentf9099c4f6d2513c7b011ef9d83765c48eea2cbb5 (diff)
INTEGRATION: CWS dmake43p01 (1.1.2); FILE ADDED
2006/02/06 23:06:59 vq 1.1.2.1: #i61714# Correct manpage to state that the usage of .SETDIR like `.SETDIR=foo : targets` is valid and add a testcase to verify this.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/misc-747
1 files changed, 47 insertions, 0 deletions
diff --git a/dmake/tests/misc-7 b/dmake/tests/misc-7
new file mode 100755
index 000000000000..0d9c4fa8f87f
--- /dev/null
+++ b/dmake/tests/misc-7
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# 06.02.2006 Volker Quetschke
+# Verify that the .SETDIR attribute works separately from the target
+# definition. (issue 61714)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+file2="subdir"
+tmpfiles="$file1 $file2"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.SETDIR=subdir : all
+
+all :
+ @+echo ":\$(PWD:f):"
+
+EOT
+
+mkdir -p "$file2"
+
+output1=$(${DMAKEPROG} -r -f $file1)
+result1=$?
+
+if test "$output1" != ":$file2:"; then
+ echo "Wrong result - use of .SETDIR was not successful."
+ result1=1
+fi
+
+if test $result1 -eq 0; then
+ echo "Success - Cleaning up"
+ rm -rf ${tmpfiles}
+ result=0
+else
+ echo "Failure!"
+ result=1
+fi
+exit $result